       subroutine bocov(u,v,im,jm,nm)

       implicit none

       integer::im,jm,nm
       real,dimension(0:im+1,0:jm+1,nm)::u,v

       if(nm.eq.14)then
        call bocov_oc(u,v,im,jm)
       else 
        call bocov_cb(u,v,im,jm)
       endif

       end subroutine bocov
